## ekiga 3.2.7

=== debian/changelog ===
ekiga (3.2.7-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add arm-linux-gnueabihf (armhf) support (Closes: #640256)

 -- Hector Oron <zumbi@debian.org>  Mon, 17 Oct 2011 12:00:09 +0100

ekiga (3.2.7-4) unstable; urgency=low

  * Fix compilation with libnotify0.7 (Closes: #630266)

 -- Kilian Krause <kilian@debian.org>  Sun, 10 Jul 2011 10:20:53 +0200

ekiga (3.2.7-3) unstable; urgency=low

  [ Eugen Dedu ]
  * Depend on updated libpt-dbg (Closes: #633132)

  [ Kilian Krause ]
  * Clean out quilt and bump to dpkg-source v3
  * Bump debhelper compat to 8
  * Correct Vcs-Browser URL
  * Bump Standards-Version to 3.9.2.0 (no changes required)

 -- Kilian Krause <kilian@debian.org>  Sat, 09 Jul 2011 21:48:43 +0200

ekiga (3.2.7-2) unstable; urgency=high

  * Setting urgency=high due to fixing RC bug

  [ Eugen Dedu ]
  * Depend on updated libopal-dbg (Closes: #586141)

 -- Kilian Krause <kilian@debian.org>  Tue, 22 Jun 2010 19:07:08 +0200

ekiga (3.2.7-1) unstable; urgency=low

  [ Eugen Dedu ]
  * New upstream release
    - correctly set default devices (Closes: #572422)
    - fix number of users found in ekiga.net LDAP (Closes: #574491)
    - fix FTFBS with binutils-gold (Closes: #554327)
  * Build-Dep on libxext-dev to have SHM support

 -- Kilian Krause <kilian@debian.org>  Tue, 01 Jun 2010 17:42:24 +0200

ekiga (3.2.6-1) unstable; urgency=low

  * New upstream release
    - fix building with GNU/kFreeBSD (Closes: #545954)
    - fix "ekiga won't connect to user defined sip port" (Closes: #530051)

 -- Kilian Krause <kilian@debian.org>  Tue, 06 Oct 2009 21:39:45 +0200

ekiga (3.2.5-1) unstable; urgency=high

  * New upstream release (Closes: #536021, #530706, #531684, #531686,
    #530415, #528952, #531458, #533260, #536267)
  * Urgency high due to fixing RC bug.
  * ekiga-dbg now depends on libpt-dbg and libopal-dbg, since it is pretty
    useless without them.
  * README.Debian: Add information about non-free codecs (especially H264).
  * debian/rules: Remove invocation of dh_scrollkeeper.

 -- Kilian Krause <kilian@debian.org>  Wed, 15 Jul 2009 18:26:02 +0200

ekiga (3.2.1~git20090515.9d0263-1) unstable; urgency=low

  [ Eugen Dedu ]
  * New upstream release (Closes: #520832, #520773, #528952, #528960)
    * Segfault after pwlib's update to 1.10.10-3 (Closes: #525781, #525864)
    * Shows the configuration assistant *every time* (Closes: #446689).
    * Fails with gconf schema error message (Closes: #511460).
  * debian/rules: Honour DEB_BUILD_OPTIONS parameter for parallel builds.
  * Cleanup rules further.
  * Remove the now unneeded libgnome and libgnomeui dependencies.
  * Recommends gvfs.
  * Remove 00_news patch, integrated upstream (no patch anymore), and quilt
    dependency.
  * Build-depend on rarian-compat instead of scrollkeeper.
  * Remove fdupes hack, all the translations are updated now.

  [ Emilio Pozuelo Monfort ]
  * Fix section of ekiga-dbg.

  [ Kilian Krause ]
  * New dependency on libpt-dev (>= 2.6.1) does pull libpt-plugins-v4l2
    primarily over libpt-plugins-v4l (Closes: #529335)
  * Bump debhelper build-dep to >= 7 for dh_prep

 -- Kilian Krause <kilian@debian.org>  Thu, 21 May 2009 23:08:34 +0200

ekiga (3.0.1-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New version.  (Closes: #500089).
  * Add our own changelog file in /usr/share/doc.
  * Remove gnomemeeting transitional package.
  * Discover new interfaces.  (Closes: #488199).
  * Compile with dbus support.  (Closes: #467212).
  * Numeric keypad inserts digits at correct position.  (Closes: #440159).
  * Use libnotify upon call.  (Closes: #412604).
  * Symlink identical GNOME help files, to reduce size.  (Closes: #505536).
  * Explicitely build-depends on a few dev packages, even if they were
    pulled out anyway by the other dependencies.

  [ Loic Minier ]
  * Use clean:: instead of clean: in rules.
  * Don't disable Uploaders: generation for control.in -> control generation
    in rules.
  * Fix some tabs which were size 4 anyway.
  * Generate a PO template during build by calling intltool-update -p in
    install; thanks Ubuntu and Martin Pitt; closes: #505535.
  * Also let the -dbg depend on ${misc:Depends}.
  * Cleanup rules; in particular, use dpkg-parsechangelog and honor
    distclean/clean failures, remove old clean rules, commented out stuff,
    gtk-only stuff.
  * Pass -s to dh_* in binary-arch.
  * Use debian/*.links and debian/*.manpages instead of symlink manually or
    passing files to dh_installman.
  * Use ftp.gnome.org in copyright.
  * Switch to quilt and fix target deps in the process; build-dep on quilt
    instead of dpatch; rename news.dpatch to 00_news.patch and refresh;
    replace 00list with series.
  * Install autotools-dev config.guess and .sub after patching.

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Sat, 27 Sep 2008 10:00:00 +0200

ekiga (2.0.12-1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove the ekiga-gtkonly package, which is broken beyond repair in the 2.x
    series.  (Closes: #456401)

 -- Philipp Kern <pkern@debian.org>  Sat, 09 Aug 2008 12:14:23 -0300

ekiga (2.0.12-1) unstable; urgency=low

  [ Kilian Krause ]
  * Fix clean target to first clean then unpatch.
  * Remove explicit reference to PWLib plugins (V4L2, AVC, DC)
    They're pulled through main libpt-x.y.z anyway (Closes: #401302)

  [ Loic Minier ]
  * Use proper path to icon file in menu file; thanks Yuri Kozlov;
    closes: #454496.

  [ Emilio Pozuelo Monfort ]
  * Wrap dependencies.
  * Build-depend on automake1.9, remove 1.8 and 1.7. Acknowledges NMU.
  * New upstream bugfix release. Closes: #476703.
    - debian/patches/gmconf.dpatch:
      + Removed, applied upstream.
    - Uses V4L2 by default. Closes: #468085.

  [ Josselin Mouette ]
  * Standards version is 3.8.0; no changes.
  * Make ekiga-dbg priority extra.
  * Fix spelling: GTK -> GTK+.
  * ekiga.{xpm,menu,install}: use a 32x32 XPM icon for the Debian menu.
    LOL.


