=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: ekiga
Section: gnome
Priority: optional
Maintainer: Kilian Krause <kilian@debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
               libsasl2-dev,
               gettext,
               libldap2-dev,
               libpt-dev (>= 2.6.7),
               libopal-dev (>= 3.6.8~),
               libgconf2-dev,
               libxv-dev,
               autotools-dev,
               gnome-pkg-tools,
               rarian-compat,
               intltool,
               libxml-parser-perl,
               evolution-data-server-dev,
               gnome-doc-utils,
               libavahi-client-dev,
               libavahi-glib-dev,
               libsigc++-2.0-dev,
               libgtk2.0-dev (>= 2.12),
               libdbus-glib-1-dev,
               gnome-common,
               libnotify-dev,
               libebook1.2-dev,
               libxext-dev,
               automake,
               autoconf
Standards-Version: 3.9.2.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/ekiga/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/ekiga/
Homepage: http://www.ekiga.org/
DM-Upload-Allowed: yes

Package: ekiga
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server
Recommends: gvfs, yelp
Suggests: siproxd,
          gnugk,
          mediaproxy,
          ser,
          rtpproxy,
          asterisk,
          yate
Description: H.323 and SIP compatible VoIP client
 H.323 and SIP compatible videoconferencing and VoIP/IP-Telephony application
 that allows you to make audio and video calls to remote users with H.323
 hardware or software (such as Microsoft Netmeeting) as well as SIP endpoints.
 .
 It supports all modern videoconferencing features, such as contact roster,
 presence status, high-quality audio and video codecs, various video
 resolutions, registering to an LDAP directory, gatekeeper support,
 making multi-user conference calls using an external MCU, using modern
 Quicknet telephony cards, and making PC-To-Phone calls.

Package: ekiga-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ekiga (= ${binary:Version}),
         ${misc:Depends},
         libpt-dbg,
         libopal-dbg
Suggests: libc6-dbg
Description: H.323 and SIP compatible VoIP client - debug symbols
 H.323 and SIP compatible videoconferencing and VoIP/IP-Telephony application
 that allows you to make audio and video calls to remote users with H.323
 hardware or software (such as Microsoft Netmeeting) as well as SIP endpoints.
 .
 This package contains the debugging symbols for Ekiga.
