=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/ekiga/([\d\.]+)[02468]/ \
        ekiga-(.*)\.tar\.gz \
        debian uupdate
