## ekiga 3.3.1

=== debian/changelog ===
ekiga (3.3.1-2) experimental; urgency=low

  * Fix broken languages. Requires dh-autoreconf for now.
  * Convert debian/rules to debhelper dh style
  * Remove ekiga-dbg symlink to /usr/share/doc

 -- Kilian Krause <kilian@debian.org>  Tue, 19 Jul 2011 12:05:18 +0200

ekiga (3.3.1-1) experimental; urgency=low

  * New upstream release.
   - Required libpt-dev 2.10 and libopal-dev 3.10
  * Fix debian/watch to catch new version
  * Remove libnotify0.7.patch - included upstream
  * Add libboost-dev and libboost-signals-dev to Build-Depends
  * debian/rules: Don't install *.la files for new internal shared libs
  * Fix Vcs URIs to point to correct desktop/experimental/ekiga tree

 -- Kilian Krause <kilian@debian.org>  Sun, 17 Jul 2011 00:24:50 +0200
