=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libsasl2-dev,
                gettext,
                libldap2-dev,
-               libpt-dev (>= 2.6.7),
-               libopal-dev (>= 3.6.8~),
+               libpt-dev (>= 2.10.1~),
+               libopal-dev (>= 3.10.1~),
                libgconf2-dev,
                libxv-dev,
                autotools-dev,
@@ -32,11 +32,14 @@
                libnotify-dev,
                libebook1.2-dev,
                libxext-dev,
+               libboost-dev,
+               libboost-signals-dev,
+               dh-autoreconf,
                automake,
                autoconf
 Standards-Version: 3.9.2.0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/ekiga/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/ekiga/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/ekiga/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/ekiga/
 Homepage: http://www.ekiga.org/
 DM-Upload-Allowed: yes
