=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autotools_dev --with autoreconf --parallel

override_dh_autoreconf:
	ln -sf /usr/share/gnome-doc-utils/gnome-doc-utils.make
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr \
	--sysconfdir=/etc \
	--disable-schemas-install \
	--disable-scrollkeeper

clean::
	dh_testdir
	dh_auto_clean
	dh_autoreconf_clean
	dh_autotools-dev_restoreconfig
	rm -f gnome-doc-utils.make
	dh_clean

override_dh_auto_install: 
	cd po/; intltool-update -p
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ekiga
	rm -f $(CURDIR)/debian/ekiga/usr/lib/ekiga/*/*.la
	rm -f $(CURDIR)/debian/ekiga/usr/lib/ekiga/*/plugins/*.la

override_dh_installchangelogs:
	dh_installchangelogs NEWS
override_dh_strip:
	dh_strip --dbg-package=ekiga-dbg
