## ekiga 3.3.2

=== debian/changelog ===
ekiga (3.3.2-0ubuntu7) quantal; urgency=low

  * debian/patches/support_eds_3.5.3.patch:
    - backport an upstream patch to build with latest evolution-data-server
  * debian/control:
    - build-dep on correct e-d-s version

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 12 Sep 2012 15:20:23 +0200

ekiga (3.3.2-0ubuntu6) quantal; urgency=low

  * debian/control: change libboost-signals1.46-dev to
    libboost-signals-dev in Build-Depends, for boost1.49 and any future
    boost transitions.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 23 Jun 2012 01:11:22 +0100

ekiga (3.3.2-0ubuntu5) quantal; urgency=low

  * debian/control: drop libgdu-dev from Build-Depends: it's not needed at all.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 08 Jun 2012 10:41:11 -0400

ekiga (3.3.2-0ubuntu4) quantal; urgency=low

  * Rebuild against latest evolution-data-server.
  * debian/patches/fix-permissive.patch: fix calling scope of add_object() and
    remove_object().
  * debian/rules: don't install *.la files.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 28 May 2012 15:48:34 -0400

ekiga (3.3.2-0ubuntu3) precise; urgency=low

  * Rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Jan 2012 10:56:14 -0500

ekiga (3.3.2-0ubuntu2) precise; urgency=low

  * Recognize linuxeabihf as a supported OS.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Dec 2011 19:27:40 +0100

ekiga (3.3.2-0ubuntu1) oneiric; urgency=low

  * debian/watch: Look for bz2 tarballs, and unstable versions.
  * New upstream release. (LP: #836915)
  * Drop libnotify0.7.patch, included upstream.
  * Disable ubuntu_lpi.patch, needs porting, and this is not a supported main
    package any more.
  * debian/control.in: Update build dependencies according to configure.ac:
    - Drop libsigc++-2.0-dev
    - Add libboost-signals-dev, libglib2.0-dev, libgdu-dev, libexpat1-dev
    - Bump libgtk2.0-dev, libopal-dev, libpt-dev

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 11 Sep 2011 12:51:59 +0200

ekiga (3.2.7-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #819973).  Remaining changes:
    - debian/control: Add Build-Depends liblaunchpad-integration-dev and 
      autoconf.
    - debian/patches/ubuntu_lpi.patch: Add launchpad integration.
    - debian/rules: Run autoreconf during build.
  * Droppped changes:
    - debian/rules: Drop quilt depends, apllied upstream.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Sun, 07 Aug 2011 19:11:05 +0700

ekiga (3.2.7-2ubuntu2) natty; urgency=low

  * No change rebuild against current libebook

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 13 Dec 2010 10:43:45 +0530

ekiga (3.2.7-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #597869), remaining changes:
    - debian/control: Enable launchpad-integration and quilt.
    - debian/patches/ubuntu_lpi.patch: Launchpad integration.
    - debian/rules: Run autoreconf during build.
  * Dropped changes:
    - Use the correct debian/watch file: fixed in debian
    - Clarify Vcs: Unnecessary.

 -- Lorenzo De Liso <blackzldl@gmail.com>  Wed, 23 Jun 2010 23:25:21 +0200

ekiga (3.2.6-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    + debian/control: Clarify Vcs-*; enable launchpad-integration and
      quilt.
    + debian/patches/ubuntu_lpi.patch: Launchpad integration.
    + debian/rules: Run autoreconf during build.
  * Use the correct debian/watch file.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Feb 2010 18:52:56 -0500

ekiga (3.2.5-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - debian/patches/ubuntu_lpi.patch: Launchpad integration.
    - Run autoreconf during build.
  * Ubuntu changes dropped:
    - Replace libpt2.6.1-dev with libpt-dev in the Build-Depends.
  * Enable quilt usage again.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 22 Jul 2009 16:04:41 +1000

ekiga (3.2.0-0ubuntu3) karmic; urgency=low

  * debian/patches/ubuntu_desktop-file-onlyshowin.patch: Dropped, was only
    needed for Ubuntu Mobile in Hardy, and has caused other issues.
    (LP: #376077)
  * Replace libpt2.6.1-dev with libpt-dev in the Build-Depends. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 03 Jun 2009 19:49:00 +1000

ekiga (3.2.0-0ubuntu2) jaunty-proposed; urgency=low

  * debian/patches/dial_with_no_valid_accounts_crash.patch:
    - Fix crash when dialing with no valid accounts (LP: #352041)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 May 2009 10:14:36 +1000

ekiga (3.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #341367)
    - Better NAT support in case of Cone NAT
    - Uniformise detection of libnotify; fix compilation with mingw
    - Fix "URL completion combobox shows identical completions"
    - Fix "Assistant loosing values when going backward"
    - Fix GmConf settings when compiled with another package name
    - Fix unregistration of accounts
    - Fix build with --enable-kde
    - Fixed possible crash when retrieving presence information
    - New translations: crh, or
    - Updated translations: as, bg, bn_IN, da, de, el, eu, gl, gu, hi, hu,
      ja, kn, ko, ku, lt, ml, mr, or, pt, ro, ru, ta, te, tr
    - New help translation: en_GB
    - Updated help translation: fr
    - Better NAT support in case of Cone NAT
    - There is now only one H.263 plugin implementing both H.263 and H.263+
    - Allow several ALSA devices to have the same name
    - Added support for the G.722 audio codec: G.722 is a 16 kHz wideband
      audio codec advertised as HD Voice by the famous Polycom. It is a
      great boost in quality and interoperability
    - Added support for the CELT ultral-low delay audio codec: CELT delivers
      high quality audio at 32 kHz or 48 kHz, allowing to transmit music in
      high quality, with low delay and low bitrate
    - Added support for SIP dialog-info notifications: they allow displaying

