## ekiga 4.0.0

=== debian/changelog ===
ekiga (4.0.0-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream stable release (Closes: #663539, CVE-2012-5621)
  * Add README.security containing a warning about stun service

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Sun, 09 Dec 2012 22:43:35 +0100

ekiga (3.9.90-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream release (Closes: #679255, #520830, #670405, #551844,
    #617528, #684999, #538738, #530254, #378846, #582157, #545693,
    #689413, #545693)
  * Enable support for experimental Jabber/XMPP protocol
  * Remove libx264-dev, libavcodec-dev from Build-Deps as they are for
    OPAL library
  * Remove fix-linux-gnueabihf-build.patch, unneeded anymore
  * Remove unnecessary libsigc++ Build-Dep

  [ Kilian Krause ]
  * Bump debhelper compat to 9 to use multiarch for dh_auto_configure. Adjust
    build-depends on debhelper to >= 8.1.3
  * debian/rules: make clean target somewhat more ignorant on missing
    build-deps
  * Add libx264-dev, libavcodec-dev and libloudmouth1-dev to Build-Deps as
    OPAL has now support for H.263+ and H.264

  [ Jordi Mallach ]
  * Watch for .xz tarballs, and don't uupdate.
  * Merge and acknowledge Héctor Orón's 3.2.7-4.1 NMU in unstable, thanks!
  * Refresh fix-linux-gnueabihf-build.patch.
  * Update Vcs-Svn URL.
  * Drop debian/patches/configure.ac_languages_fix.patch, fixed upstream.
  * Drop support for dh-autoreconf, as it's not needed anymore.

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Mon, 16 Oct 2012 14:47:35 +0100
