=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: ekiga
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kilian Krause <kilian@debian.org>
-Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Kilian Krause <kilian@debian.org>
-Build-Depends: debhelper (>= 8),
+Maintainer: Kilian Krause <kilian@debian.org>
+Uploaders: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 8.1.3),
                libsasl2-dev,
                gettext,
                libldap2-dev,
-               libpt-dev (>= 2.10.2~),
-               libopal-dev (>= 3.10.2~),
+               libpt-dev (>= 2.10.9~),
+               libopal-dev (>= 3.10.9~),
+               libloudmouth1-dev,
                libgconf2-dev,
                libxv-dev,
                autotools-dev,
@@ -21,25 +22,23 @@
                rarian-compat,
                intltool,
                libxml-parser-perl,
-               evolution-data-server-dev (>= 3.5.3),
+               evolution-data-server-dev,
                gnome-doc-utils,
+               gnome-icon-theme,
                libavahi-client-dev,
                libavahi-glib-dev,
-               libboost-signals-dev (>= 1.34),
-               libgtk2.0-dev (>= 2.20.0),
-               libglib2.0-dev (>= 2.24.0),
-               libexpat1-dev,
+               libgtk2.0-dev,
                libdbus-glib-1-dev,
+               libv4l-dev,
                gnome-common,
                libnotify-dev,
                libebook1.2-dev,
                libxext-dev,
-               automake,
-               autoconf,
-               liblaunchpad-integration-dev
+               libboost-dev,
+               libboost-signals-dev
 Standards-Version: 3.9.2.0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/ekiga/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/ekiga/
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/experimental/ekiga/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/ekiga/
 Homepage: http://www.ekiga.org/
 DM-Upload-Allowed: yes
 
@@ -47,9 +46,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         evolution-data-server
+         gnome-icon-theme
 Recommends: gvfs, yelp
-Suggests: siproxd,
+Suggests: ekiga-plugin-evolution,
+          siproxd,
           gnugk,
           mediaproxy,
           ser,
