=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	dh_auto_configure --\
		--disable-schemas-install \
		--disable-scrollkeeper \
		--enable-avahi \
		--enable-loudmouth

clean::
	dh_testdir
	dh_auto_clean
	-dh_autotools-dev_restoreconfig
	rm -f gnome-doc-utils.make
	dh_clean

override_dh_auto_install:
	cd po/; intltool-update -p
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ekiga
	rm -f $(CURDIR)/debian/ekiga/usr/lib/*/ekiga/*/*.la
	rm -f $(CURDIR)/debian/ekiga/usr/lib/*/ekiga/*/plugins/*.la
	# move evolution plugin in its own package
	#target=$(CURDIR)/debian/ekiga-plugin-evolution/$$(cd debian/ekiga;ls -1d usr/lib/*/ekiga/*/plugins); \
	#mkdir -p $$target; mv $(CURDIR)/debian/ekiga/usr/lib/*/ekiga/*/plugins/*evolution* $$target

override_dh_installchangelogs:
	dh_installchangelogs NEWS
override_dh_strip:
	dh_strip --dbg-package=ekiga-dbg
